package com.muyu.common.core.validation.custom;

import jakarta.validation.Constraint;

import java.lang.annotation.*;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author：杨鹏
 * @Package：com.muyu.common.core.validation.custom
 * @Project：cloud-common-core
 * @name：IsSystemYesNo
 * @Date：2024/8/7 11:26
 */
@Target({ElementType.FIELD})
@Retention(RUNTIME)
@Documented
@Constraint(validatedBy = {SystemYsNoValidator.class})
public @interface IsSystemYesNo {
    String message() default "数据字典: [系统参数] - 系统是否参数不合法";
}
