package com.muyu.common.core.validation.custom;

import com.muyu.common.core.enums.SystemYesNo;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author：杨鹏
 * @Package：com.muyu.common.core.validation.custom
 * @Project：cloud-common-core
 * @name：SystemYsNoValidator
 * @Date：2024/8/7 11:31
 */
public class SystemYsNoValidator implements ConstraintValidator<IsSystemYesNo, String> {

    @Override
    public boolean isValid(String value, ConstraintValidatorContext constraintValidatorContext) {
        return SystemYesNo.isCode(value);
    }
}
